Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.taskmgmt.def
Class Swimlane

    java.lang.Object
      org.jbpm.taskmgmt.def.Swimlane

All Implemented Interfaces:
  java.io.Serializable

    public class Swimlane

extends java.lang.Object
implements java.io.Serializable

is a process role (aka participant).

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `actorIdExpression`
`protected Delegation` | `assignmentDelegation`
`protected java.lang.String` | `name`
`protected java.lang.String` | `pooledActorsExpression`
`protected TaskMgmtDefinition` | `taskMgmtDefinition`
`protected java.util.Set` | `tasks`

Constructor Summary
`Swimlane()`
`Swimlane(java.lang.String name)`

Method Summary
`void` | `addTask(Task task)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getActorIdExpression()`
`Delegation` | `getAssignmentDelegation()`
`long` | `getId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPooledActorsExpression()`
`TaskMgmtDefinition` | `getTaskMgmtDefinition()`
`java.util.Set` | `getTasks()`
`void` | `setActorIdExpression(java.lang.String actorIdExpression)`
`void` | `setAssignmentDelegation(Delegation assignmentDelegation)`
`void` | `setPooledActorsExpression(java.lang.String pooledActorsExpression)`
`void` | `setTaskMgmtDefinition(TaskMgmtDefinition taskMgmtDefinition)` sets the taskMgmtDefinition unidirectionally.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### actorIdExpression

    protected java.lang.String actorIdExpression

### pooledActorsExpression

    protected java.lang.String pooledActorsExpression

### assignmentDelegation

    protected Delegation assignmentDelegation

### taskMgmtDefinition

    protected TaskMgmtDefinition taskMgmtDefinition

### tasks

    protected java.util.Set tasks

Constructor Detail

### Swimlane

    public Swimlane()

### Swimlane

    public Swimlane(java.lang.String name)

Method Detail

### setTaskMgmtDefinition

    public void setTaskMgmtDefinition(TaskMgmtDefinition taskMgmtDefinition)

  sets the taskMgmtDefinition unidirectionally. use TaskMgmtDefinition.addSwimlane to create a bidirectional relation.

### addTask

    public void addTask(Task task)

### getTasks

    public java.util.Set getTasks()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### setActorIdExpression

    public void setActorIdExpression(java.lang.String actorIdExpression)

### setPooledActorsExpression

    public void setPooledActorsExpression(java.lang.String pooledActorsExpression)

### setAssignmentDelegation

    public void setAssignmentDelegation(Delegation assignmentDelegation)

### getTaskMgmtDefinition

    public TaskMgmtDefinition getTaskMgmtDefinition()

### getActorIdExpression

    public java.lang.String getActorIdExpression()

### getPooledActorsExpression

    public java.lang.String getPooledActorsExpression()

### getAssignmentDelegation

    public Delegation getAssignmentDelegation()

### getName

    public java.lang.String getName()

### getId

    public long getId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD